### Name: SolexaSet-class
### Title: "SolexaSet" coordinating Solexa output locations with sample
###   annotations
### Aliases: SolexaSet-class SolexaSet SolexaSet,character-method
###   detail,SolexaSet-method laneNames,SolexaSet-method
###   laneNames,AnnotatedDataFrame-method show,SolexaSet-method
###   readAligned,SolexaSet-method
### Keywords: classes

### ** Examples

showClass("SolexaSet")
showMethods(class="SolexaSet")
## construct a SolexaSet
sf <- system.file("extdata", package="ShortRead")
df <- data.frame(Sample=c("Sample 1", "Sample 2", "Sample 3", "Sample
                          4", "Center-wide control", "Sample 6", "Sample
                          7", "Sample 8"),
                 Genome=c(rep("hg18", 4), "phi_plus_SNPs.txt",
                          rep("hg18", 3)))
dfMeta <- data.frame(labelDescription=c("Type of sample",
                                        "Alignment genome"))
adf <- new("AnnotatedDataFrame", data=df, varMetadata=dfMeta)
SolexaSet(sf, adf)



